validate configuration
curl --request POST \
--url https://engine.example.com/api/v1/config/validate \
--header 'Content-Type: application/json' \
--data '
{
"changes": [
{
"path": "<string>",
"value": "<unknown>"
}
],
"revision": "<string>"
}
'import requests
url = "https://engine.example.com/api/v1/config/validate"
payload = {
"changes": [
{
"path": "<string>",
"value": "<unknown>"
}
],
"revision": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({changes: [{path: '<string>', value: '<unknown>'}], revision: '<string>'})
};
fetch('https://engine.example.com/api/v1/config/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/config/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'changes' => [
[
'path' => '<string>',
'value' => '<unknown>'
]
],
'revision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/config/validate"
payload := strings.NewReader("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"revision\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/config/validate")
.header("Content-Type", "application/json")
.body("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"revision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/config/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"revision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"diff": [
{
"after": "<unknown>",
"before": "<unknown>",
"path": "<string>"
}
],
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"export_requires_secrets": true,
"revision": "<string>",
"toml": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Validate configuration
validate configuration. POST /api/v1/config/validate. Uses the same payload, validation, revision checks and response as the unified HTTP API.
validate configuration
curl --request POST \
--url https://engine.example.com/api/v1/config/validate \
--header 'Content-Type: application/json' \
--data '
{
"changes": [
{
"path": "<string>",
"value": "<unknown>"
}
],
"revision": "<string>"
}
'import requests
url = "https://engine.example.com/api/v1/config/validate"
payload = {
"changes": [
{
"path": "<string>",
"value": "<unknown>"
}
],
"revision": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({changes: [{path: '<string>', value: '<unknown>'}], revision: '<string>'})
};
fetch('https://engine.example.com/api/v1/config/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/config/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'changes' => [
[
'path' => '<string>',
'value' => '<unknown>'
]
],
'revision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/config/validate"
payload := strings.NewReader("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"revision\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/config/validate")
.header("Content-Type", "application/json")
.body("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"revision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/config/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"revision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"diff": [
{
"after": "<unknown>",
"before": "<unknown>",
"path": "<string>"
}
],
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"export_requires_secrets": true,
"revision": "<string>",
"toml": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026